package com.app.config.mybatisplus;


import com.baomidou.mybatisplus.extension.plugins.PaginationInterceptor;
import com.baomidou.mybatisplus.extension.plugins.pagination.optimize.JsqlParserCountOptimize;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

@Component
public class MybatisPlusConfig {

    /**
     * 分页插件
     * @return
     */
    @Bean
    public PaginationInterceptor paginationInterceptor() {
        PaginationInterceptor paginationInterceptor = new PaginationInterceptor();
        // paginationInterceptor.setOverflow(false); // 设置请求的页面大于最大页后操作， true调回到首页，false 继续请求  默认false
        // paginationInterceptor.setLimit(500); // 设置最大单页限制数量，默认 500 条，-1 不受限制
        paginationInterceptor.setCountSqlParser(new JsqlParserCountOptimize(true)); // 开启 count 的 join 优化,只针对部分 left join
        return paginationInterceptor;
    }

}
