package com.app.controller.platform.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 */
@ApiModel("管理后台-账号登录")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class WebAdminAccountLoginDto {

    @ApiModelProperty("账号")
    @NotBlank(message = "账号不能为空")
    private String username;

    @ApiModelProperty("密码")
    @NotBlank(message = "密码不能为空")
    private String password;

    @ApiModelProperty("验证码")
    @NotBlank(message = "验证码不能为空")
    private String code;

    @ApiModelProperty("验证唯一码")
    @NotBlank(message = "验证唯一码不能为空")
    private String uuid;

}
