package com.app.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@ApiModel("统一查询分页Dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class SearchPageDto implements Serializable {

    @ApiModelProperty("页码")
    @Min(1)
    @NotNull
    private Integer page;

    @ApiModelProperty("页大小")
    @Min(1)
    @NotNull
    private Integer size;

}
