package com.app.dto.account.operation;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

/**
 * 功能描述：
 * 官方文档
 * https://developers.weixin.qq.com/miniprogram/dev/api/open-api/user-info/wx.getUserInfo.html
 */
@ApiModel("[微信用户账号]认证Dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class WXMPLoginDto {

    @ApiModelProperty("code[wx.login]")
    @NotEmpty
    private String code;

    @ApiModelProperty("encryptedData[wx.getUserInfo]")
    @NotEmpty
    private String encryptedData;

    @ApiModelProperty("iv[wx.getUserInfo]")
    @NotEmpty
    private String iv;

}
