package com.app.dto.basics;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

@ApiModel("学校响应dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ResponseSchoolDto {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("机构id")
    private String organId;

    @ApiModelProperty("学校名称")
    private String name;

    @ApiModelProperty("年级")
    private String gradeYear;

    @ApiModelProperty("省级名称")
    private String province;

    @ApiModelProperty("城市名称")
    private String city;

    @ApiModelProperty("行政区名称")
    private String area;

    @ApiModelProperty("备注")
    private String remarks;

    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateAt;

    @ApiModelProperty("机构名称")
    private String organName;
}
