package com.app.dto.basics.operation;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.Date;

@ApiModel("保存/更新[开课]入参Dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class OpenCourseDto {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("课程标识")
    private String courseId;

    @ApiModelProperty("机构id")
    private String organId;

    @ApiModelProperty("学年")
    private Integer schoolYear;

    @ApiModelProperty("学期")
    private Integer semester;

    @ApiModelProperty("学校标识")
    private String schoolId;

    @ApiModelProperty("学校名称")
    private String schoolName;

    /**
     * 年级名称
     *
     * @see com.app.constant.SchoolConstant#PRIMARY_SCHOOL
     * @see com.app.constant.SchoolConstant#MIDDLE_SCHOOL
     * @see com.app.constant.SchoolConstant#HIGH_SCHOOL
     */
    @ApiModelProperty("年级名称")
    private String gradeName;

    @ApiModelProperty("课程名称")
    private String name;

    @ApiModelProperty("缩略图")
    private String thumbnail;

    @ApiModelProperty("横幅")
    private String banner;

    /**
     * @see com.app.constant.OpenCourseConstant.OpenCourseType
     */
    @ApiModelProperty("课程类型")
    private String type;

    @ApiModelProperty("课程价格")
    private Double price;

    @ApiModelProperty("课程介绍")
    private String introduceUrl;

    @ApiModelProperty("星期X")
    private String cycle;

    @ApiModelProperty("时间段")
    private String hours;

    @ApiModelProperty("开班人数")
    private Integer openCourseNumber;

    @ApiModelProperty("空闲人数")
    private Integer freeCourseNumber;

    @ApiModelProperty("报名开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date signUpStartTime;

    @ApiModelProperty("报名结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date signUpEndTime;

    @ApiModelProperty("微信群二维码")
    private String wxGroupQRUrl;

    @ApiModelProperty("备注")
    private String remarks;

}
