package com.app.dto.basics.search;

import com.app.dto.SearchPageDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

@ApiModel("查询[开课]入参Dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class SearchOpenCourseDto extends SearchPageDto {

    @ApiModelProperty("是否删除")
    private Boolean isDel;

    @ApiModelProperty("学年")
    private Integer schoolYear;

    @ApiModelProperty("学期")
    private Integer semester;

    @ApiModelProperty("学校标识")
    private String schoolId;

    @ApiModelProperty("课程名称")
    private String name;

    /**
     * @see com.app.constant.OpenCourseConstant.OpenCourseType
     */
    @ApiModelProperty("课程类型")
    private String type;

    @ApiModelProperty("机构ids")
    private List<String> organIds;

}
