package com.app.dto.order;

import com.app.constant.OrderConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@ApiModel("开课 - 订单导出Dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class OpenCourseOrderExportDto {

    @ApiModelProperty("学年")
    private Integer schoolYear;

    @ApiModelProperty("学期")
    private Integer semester;

    @ApiModelProperty("学校名称")
    private String schoolName;

    @ApiModelProperty("年级名称")
    private String gradeName;

    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("小孩姓名")
    private String childName;

    @ApiModelProperty("手机号码")
    private String phoneNumber;

    @ApiModelProperty("课后回家方式")
    private String goHome;

    /**
     * @see OrderConstant.OrderItemState
     */
    @ApiModelProperty("订单项状态")
    private Integer state;

    @ApiModelProperty("开课标识")
    private String openCourseId;

    @ApiModelProperty("开课名称")
    private String openCourseName;

    @ApiModelProperty("开课价格")
    private Double openCoursePrice;

    @ApiModelProperty("星期X")
    private String cycle;

    @ApiModelProperty("时间段")
    private String hours;

    @ApiModelProperty("账号标识")
    private String accountId;

    @ApiModelProperty("订单标识")
    private String openCourseOrderId;

    @ApiModelProperty("订单项标识")
    private String openCourseOrderItemId;

    @ApiModelProperty("微信支付订单号")
    private String transactionId;

}
