package com.app.dto.platform;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 角色dto
 *
 */
@ApiModel("角色dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class RoleDto {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("角色名称")
    @NotEmpty
    private String name;

    @ApiModelProperty("备注")
    private String remarks;

    @ApiModelProperty("数据权限deptIds")
    private List<String> deptIds;
}
