package com.app.dto.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 功能描述：年级班级
 *
 * @Auther: 梁展鹏
 * @Date: 2018/7/17 14:03
 */
@ApiModel("报表班级返回Dto")
@AllArgsConstructor
@Data
@Accessors(chain = true)
public class ReportClassSeriesDto {

    @ApiModelProperty("名称")
    private String name ;

    @ApiModelProperty("类型")
    private String type ;

    @ApiModelProperty("stack")
    private String stack ;

    @ApiModelProperty("label")
    private Map label;

    @ApiModelProperty("内容")
    private List<Integer> data ;

    public ReportClassSeriesDto() {
        HashMap<Object, Object> label = new HashMap<>(4);
        label.put("show",true);
        label.put("position","insideRight");
        String type = "bar";
        String stack = "总量";
        this.stack = stack;
        this.type = type;
        this.label = label;
    }
}
