package com.app.entity.basics;

import com.app.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：开课评论
 *
 * @Auther: 梁展鹏
 * @Date: 2018/7/17 14:03
 */
@ApiModel("开课评论")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_open_course_comment")
public class OpenCourseComment extends BaseEntity {

    @ApiModelProperty("课程标识")
    @TableField(value = "course_id")
    private String courseId;

    @ApiModelProperty("开课标识")
    @TableField(value = "open_course_id")
    private String openCourseId;

    @ApiModelProperty("课程名称")
    @TableField(value = "open_course_name")
    private String openCourseName;

    @ApiModelProperty("父级标识")
    @TableField(value = "parent_id")
    private String parentId;

    @ApiModelProperty("账户标识")
    @TableField(value = "account_id")
    private String accountId;

    @ApiModelProperty("内容")
    @TableField(value = "context")
    private String context;

    @ApiModelProperty("评星")
    @TableField(value = "star")
    private Integer star;

    @ApiModelProperty("是否审核通过")
    @TableField(value = "is_passed")
    private Boolean isPassed;

}
