package com.app.entity.basics;

import com.app.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：机构教师
 *
 * @Auther: 梁展鹏
 * @Date: 2018/7/17 14:03
 */
@ApiModel("机构教师")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_organ_teacher")
public class Teacher extends BaseEntity {

    @ApiModelProperty("机构标识")
    @TableField(value = "organ_id")
    private String organId;

    @ApiModelProperty("教师名称")
    @TableField(value = "name")
    private String name;

    @ApiModelProperty("教师头像")
    @TableField(value = "avatar_url")
    private String avatarUrl;

    @ApiModelProperty("性别")
    @TableField(value = "gender")
    private String gender;

    @ApiModelProperty("标签")
    @TableField(value = "tag")
    private String tag;

    @ApiModelProperty("教师简介")
    @TableField(value = "context")
    private String context;

}
