package com.app.entity.basics;

import com.app.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 功能描述：学年学期
 *
 * @Auther: 梁展鹏
 * @Date: 2018/7/17 14:03
 */
@ApiModel("学年学期")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_year_semester")
public class YearSemester extends BaseEntity {

    @ApiModelProperty("机构标识")
    @NotEmpty
    @TableField("organ_id")
    private String organId;

    @ApiModelProperty("学年")
    @NotNull
    @TableField("school_year")
    private Integer schoolYear;

    @ApiModelProperty("学期")
    @NotNull
    @TableField("semester")
    private Integer semester;

}
