package com.app.entity.guardian;

import com.app.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：家长小孩实体
 *
 * @Author 梁展鹏
 * @Date 2021/1/18 17:57
 */
@ApiModel("家长小孩实体")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_guardian_child")
public class GuardianChild extends BaseEntity {

    @ApiModelProperty("家长标识")
    @TableField(value = "guardian_id")
    private String guardianId;

    @ApiModelProperty("家长手机号码")
    @TableField(value = "phone_number")
    private String phoneNumber;

    @ApiModelProperty("小孩姓名")
    @TableField(value = "child_name")
    private String childName;

    @ApiModelProperty("学校标识")
    @TableField(value = "school_id")
    private String schoolId;

    @ApiModelProperty("学校名称")
    @TableField(value = "school_name")
    private String schoolName;

    /**
     * @see com.app.constant.SchoolConstant#PRIMARY_SCHOOL
     * @see com.app.constant.SchoolConstant#MIDDLE_SCHOOL
     * @see com.app.constant.SchoolConstant#HIGH_SCHOOL
     */
    @ApiModelProperty("年级名称")
    @TableField(value = "grade_name")
    private Integer gradeName;

    /**
     * @see com.app.constant.SchoolConstant#CLASS_NAME_LIST
     */
    @ApiModelProperty("班级名称")
    @TableField(value = "class_name")
    private Integer className;

    /**
     * @see com.app.constant.AccountConstant.GoHome
     */
    @ApiModelProperty("课后回家方式")
    @TableField(value = "go_home")
    private String goHome;

    @ApiModelProperty("0为在读、1为毕业")
    @TableField(value = "is_graduate")
    private Boolean isGraduate;

}
