package com.app.entity.info;

import com.app.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

/**
 * 功能描述：通知公告实体
 *
 * @Author 梁展鹏
 * @Date 2021/1/14 17:14
 */
@ApiModel("通知公告实体")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_notices")
public class Notices extends BaseEntity {

    @ApiModelProperty("标题")
    @NotEmpty
    @TableField("title")
    private String title;

    @ApiModelProperty("内容")
    @NotEmpty
    @TableField("content")
    private String content;

}
