package com.app.entity.organ;

import com.app.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：系统用户实体
 *
 * @Auther: 梁展鹏
 * @Date: 2018/7/17 14:03
 */
@ApiModel("机构分校")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_organ_school")
public class OrganSchool extends BaseEntity {

    @ApiModelProperty("机构id")
    @TableField(value = "organ_id")
    private String organId;

    @ApiModelProperty("省")
    @TableField(value = "province")
    private String province;

    @ApiModelProperty("城市名称")
    @TableField(value = "city")
    private String city;

    @ApiModelProperty("行政区名称")
    @TableField(value = "area")
    private String area;

    @ApiModelProperty("详细地址")
    @TableField(value = "address")
    private String address;

    @ApiModelProperty("联系方式")
    @TableField(value = "number")
    private String number;

    @ApiModelProperty("开始营业时间")
    @TableField(value = "start_time")
    private String startTime;

    @ApiModelProperty("结束营业时间")
    @TableField(value = "end_time")
    private String endTime;

}
