package com.app.entity.platform.system;

import com.app.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2020/1/18 16:03
 */
@ApiModel("部门实体")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_platform_dict_entry")
public class DictEntry extends BaseEntity {

    @ApiModelProperty(value = "字典标识")
    @NotBlank
    @TableField("dict_id")
    private String dictId;

    @ApiModelProperty("字典名称")
    @NotBlank
    @TableField("name")
    private String name;

    @ApiModelProperty("字典值")
    @NotBlank
    @TableField("value")
    private String value;

    @ApiModelProperty("排序")
    @TableField("sort")
    private Integer sort;

}
