package com.app.entity.platform.system;

import com.app.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 岗位实体
 *
 * @Author 梁展鹏
 * @Date 2020/1/18 16:03
 */
@ApiModel("岗位实体")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_platform_job")
public class Job extends BaseEntity {

    @ApiModelProperty("名称")
    @NotBlank
    @TableField("name")
    private String name;

    @NotNull
    @ApiModelProperty("排序")
    @TableField("sort")
    private Long sort;

    @ApiModelProperty("备注")
    @TableField("remarks")
    private String remarks;

}
