package com.app.service.guardian.dto;

import com.app.entity.guardian.GuardianChild;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.Date;
import java.util.List;

@ApiModel("家长Dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class GuardianDto {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createAt;

    @ApiModelProperty("昵称")
    private String nickname;

    @ApiModelProperty("用户头像图片的 URL")
    private String avatarUrl;

    @ApiModelProperty("用户性别（0未知、1男性、2女性）")
    private Integer gender;

    private List<GuardianChild> guardianChildList;

}
