import HttpKit from '@/utils/http-kit'

export default {
  /**
   * 功能描述：查询所有[学校] - 下拉框场景
   * @param name 学校名称
   * @param page
   * @param size
   */
  selectSchoolList(name) {
    return HttpKit.post('/admin/school/page', {
      name: name,
      page: 1,
      size: 900
    }).then(
      res => res.data
    )
  },
  /**
   * 功能描述：查询所有[学校]
   * @param name 学校名称
   * @param city 城市名称
   * @param area 行政区名称
   * @param gradeYear 年级
   * @param page
   * @param size
   */
  page(form) {
    return HttpKit.post('/admin/school/page', form).then(
      res => res.data
    )
  },
  /**
   * 功能描述：保存/更新[学校]
   * @param school
   */
  saveOrUpdate(form) {
    return HttpKit.post('/admin/school/save-or-update', form).then(
      res => res.data
    )
  },
  /**
   * 功能描述：替换[学校]删除状态
   * @param id
   */
  handleIsDel(id) {
    return HttpKit.post('/admin/school/handle-is-del', { id: id }).then(
      res => res.data
    )
  },
  /**
   * 功能描述：把学校的高年级学生置为毕业状态
   * @param schoolId
   */
  upLevel(schoolId) {
    return HttpKit.post(`/admin/school/${schoolId}/up-level`).then(
      res => res.data
    )
  }
}
